%define pkg_name        Mail-DeliveryStatus-BounceParser
%define pkg_version     1.517
%define rpm_pkg_version 1.5_17
%define rpm_pkg_release 1.n0i.4

Summary:       Structured analysis of rfc822 bounce message
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RJ/RJBS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Entity) >= 5.404


%description
Mail::DeliveryStatus::BounceParser analyzes bounce messages and returns a
structured description of the addresses that bounced and why they bounced;
it also returns information about the original returned message, where
possible, including the Message-ID.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.5_17-1.n0i.4.1.517
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.517

* Tue Jun 06 2006 Marius Feraru <altblue@n0i.net> - 1.5_11-1.n0i.3.1.511
- version 1.511

* Sun May 28 2006 Marius Feraru <altblue@n0i.net> - 1.5_10-1.n0i.2.1.510
- version 1.510

* Wed Aug 03 2005 Marius Feraru <altblue@n0i.net> 1.5-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
